For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Inboxes
      • GETGet Inbox
      • POSTCreate Inbox
      • PATCHUpdate Inbox
      • DELDelete Inbox
        • GETList Entries
        • GETGet List Entry
        • POSTCreate List Entry
        • DELDelete List Entry
LogoLogo
contact@agentmail.ccDiscord
API ReferenceInboxesLists

Delete List Entry

DELETE
/v0/inboxes/:inbox_id/lists/:direction/:type/:entry
DELETE
/v0/inboxes/:inbox_id/lists/:direction/:type/:entry
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.inboxes.lists.delete(
8 inbox_id="inbox_id",
9 direction="send",
10 type="allow",
11 entry="entry",
12)
**CLI:** ```bash agentmail inboxes:lists delete --inbox-id <inbox_id> --direction <direction> --type <type> --entry <entry> ```
Was this page helpful?
Previous

Query Metrics

Next
Built with

CLI:

$agentmail inboxes:lists delete --inbox-id <inbox_id> --direction <direction> --type <type> --entry <entry>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

inbox_idstringRequired
The ID of the inbox.
directionenumRequired
Direction of list entry.
Allowed values:
typeenumRequired
Type of list entry.
Allowed values:
entrystringRequired
Email address or domain.

Errors

404
Not Found Error